function savedatfile(savepath,resolution,downsample)
%This function saves .dat file for loading primitives into blender
%currently it saves a single .dat file for each endosome with only size
%data. 
%
%Inputs: 
%savepath = string pointing to the desired folder to save the .dat files
%
%Outputs:
%set of .dat files 
%
%Author: Devin Sullivan July 23, 2013
mkdir(savepath)

if isempty(resolution)
    resolution = [1,1,1];
end

if isempty(downsample)
    downsample = [1,1,1];
end

if size(downsample)==1
    downsample = [downsample,downsample,downsample];
end

%first load temp results 
load([pwd filesep 'temp' filesep 'primitives']);
% objsizevec = objsizevec.*repmat(resolution,[size(objsizevec,1),1]);
% objsizevec = objsizevec.*repmat(downsample,[size(objsizevec,1),1]);

filename = [savepath '.dat'];

for i = 1:size(objsizevec,1)
    
    dlmwrite(filename,['Endosome[',num2str(i),']'],'delimiter','','-append');
    dlmwrite(filename,objsizevec(i,:),'delimiter',' ','-append');
    dlmwrite(filename,objposvec(i,:),'delimiter',' ','-append');
    dlmwrite(filename,objrotvec(i,:),'delimiter',' ','-append');
%     dlmwrite(filename,'cube','delimiter','','-append');
%     dlmwrite(filename,objsizevec(i,:)*2,'delimiter',' ','-append');
end