function img = showShapeSpace(model, labels)
    nimgs = model.cellShapeModel.numimgs;

    if ~exist('labels', 'var')
        labels = ones(nimgs,1);
    end

    
    ndims = 2;    
    gridsize = 4000;
    buff = .1;
    
    [ulabels, ~, labelinds ] = unique(labels);
    colors = jet(length(ulabels));
    
    proj = mdscale(model.cellShapeModel.distances,ndims);
   
    proj_scale = proj - repmat(min(proj-buff),[nimgs,1]);
    proj_scale = proj_scale/max(proj_scale(:)+buff);
    
    locs = round(proj_scale*gridsize);
    
    if ndims == 2
        locs = [locs ones(nimgs,1)*2];
    end
    
    img = uint8(zeros([repmat(gridsize,[1,ndims]),3]));
    
    cellimg = model.cellShapeModel.imfunc(1);
    cellbounds = ones(size(cellimg));
    cellbounds(2:end-1, 2:end-1) = 0;
    
    for i = 1:nimgs
        i
        try
            cellimg = model.cellShapeModel.imfunc(i);
        
            if any(cellimg(:) .* cellbounds(:))
                continue;
            end

            cellmask = cellimg == 1;
            nucmask = cellimg == 2;

            if ndims == 2
                cellmask = sum(cellmask,3) > 0;
                cellmask(cellmask > 0) = 1;
                cellmask = double(cellmask);

                nucmask = sum(nucmask,3) > 0;

                cellmask(nucmask > 0) = 2;

                cellimg = cellmask;
    %             cellimg = sum(cellimg,3);
            end

            cellimg = repmat(cellimg,[1,1,3]);
            cellimg(:,:,1) = cellimg(:,:,1).*colors(labelinds(i),1);
            cellimg(:,:,2) = cellimg(:,:,2).*colors(labelinds(i),2);
            cellimg(:,:,3) = cellimg(:,:,3).*colors(labelinds(i),3);
            
            cellimg = cellimg.*(255/2);
            
            if i == 201
                disp('asdf')
            end
            
            
            idx = find(cellimg>0);
            [X,Y,Z] = ind2sub(size(cellimg),idx);
            obj = [X,Y,Z,cellimg(idx)];

% 
%             X = X + locs(i,1);
%             Y = Y + locs(i,1);
%             
%             ind = sub2ind(size(img), X,Y,Z);
%             
%             img(ind) = cellimg(idx);
%             
            X = round(X - mean(X)/2 + locs(i,1));
            Y = round(Y - mean(Y)/2 + locs(i,2));
            ind = sub2ind(size(img), X, Y, Z);
            img(ind) = cellimg(idx);


% 
%             img = ml_imaddobj2(img,obj,...
%             struct('method','replace','pos',[locs(i,:)]));

        catch
            disp('adsf')
        end
    end
    
end